﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text.RegularExpressions;
using System.Web;

namespace AutoSearch.Classes
{
    public static class GenericParser
    {
        public static T ParseToType<T>(this string value)
        {
            try
            {
                var convertor = TypeDescriptor.GetConverter(typeof(T));
                if (convertor != null)
                {
                    return (T)convertor.ConvertFromString(value);
                }
                return default(T);
            }
            catch
            {
                return default(T);
            }
        }

        public static int? GetNumberFromString(string value)
        {
            var str = Regex.Replace(
                    value,
                    "[^0-9]",
                    "");
            int res = 0;
            if (int.TryParse(str, out res)){
                return res;
            }
            return null;
        }
    }
}