﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using AutoSearch.Models;
using AutoSearch.Classes;

namespace AutoSearch.Controllers
{
    public class LoadController : Controller
    {
        //
        // GET: /Load/
        public ActionResult Index(bool? success)
        {
            if (success.HasValue && success.Value) {
                ViewBag.Message = "Данные успешно загружены";
            }
            return View();
        }

        [HttpPost]
        public ActionResult Index(FileCSVModel model)
        {
            if (ModelState.IsValid == false)
            {
                return View(model);
            }
            var loader = new DataLoader();
            loader.LoadData(model.dataFile);
            return RedirectToAction("Index", new { success = "true" });
        }
	}
}