﻿using AutoSearch.Classes;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace AutoSearch.Models
{
    public class FileCSVModel
    {
        [Display(Name="Файл с данными")]
        [Required]
        public HttpPostedFileBase dataFile { get; set; }

    }

    /// <summary>
    /// Модель данных из файла
    /// </summary>
    public class CSVDataModel
    {
        //TODO валидацию по StringLength
        /// <summary>
        /// ИД
        /// </summary>
        [Required]
        public string id { get; set; }

        /// <summary>
        /// Марка
        /// </summary>
        [Required]
        public string mark { get; set; }

        /// <summary>
        /// Модель
        /// </summary>
        [Required]
        public string model { get; set; }

        /// <summary>
        /// Кузов
        /// </summary>
        [Required]
        public string carcass { get; set; }

        /// <summary>
        /// Год выпуска
        /// </summary>
        [Required]
        public int? productionYear { get; set; }

        /// <summary>
        /// Цвет
        /// </summary>
        [Required]
        public string color { get; set; }

        /// <summary>
        /// Пробег
        /// </summary>
        [Required]
        public int? mileage { get; set; }

        /// <summary>
        /// Тип КПП
        /// </summary>
        [Required]
        public string transmissionType { get; set; }

        /// <summary>
        /// Цена
        /// </summary>
        [Required]
        public decimal? cost { get; set; }

        /// <summary>
        /// Фотографии
        /// </summary>
        public string[] photos { get; set; }

        /// <summary>
        /// Текст объявления
        /// </summary>
        [Required]
        public string text { get; set; }

        /// <summary>
        /// Контакты
        /// </summary>
        [Required]
        public string contacts { get; set; }

        public CSVDataModel() { }

        public CSVDataModel(string mark, string model, string carcass, int? productionYear, string color, string mileage, string transmissionType, decimal? cost, string photos, string text, string contacts)
        {
            this.mark = mark;
            this.model = model;
            this.carcass = carcass;
            this.productionYear = productionYear;
            this.color = color;
            this.transmissionType = transmissionType;
            this.mileage = GenericParser.GetNumberFromString(mileage);
            this.cost = cost;
            this.text = text;
            this.contacts = contacts;
            this.photos = string.IsNullOrEmpty(photos) ? null : photos.Split(',').ToArray().Select(a => a.Trim()).Distinct().ToArray();
        }
    }
}