﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace AutoSearch.Models
{
    public class MarkAndModelWithCount
    {
        public int id { get; set; }
        public string name { get; set; }
        public int count { get; set; }
    }
    public class SearchModel
    {
        [Display(Name="Выбор марки")]
        public List<List<MarkAndModelWithCount>> marks { get; set; }

        [Display(Name="Выбор модели")]
        public List<List<MarkAndModelWithCount>> models { get; set; }
    }

    public class OfferInListModel
    {
        /// <summary>
        /// ИД
        /// </summary>
        public int id { get; set; }

        /// <summary>
        /// Цена
        /// </summary>
        public decimal cost { get; set; }

        /// <summary>
        /// Название
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// Год выпуска
        /// </summary>
        public int productionYear { get; set; }

        /// <summary>
        /// Пробег
        /// </summary>
        public int mileage { get; set; }

        /// <summary>
        /// Фотография
        /// </summary>
        public string photo { get; set; }
    }

    public class MainSearchModel
    {
        [Display(Name = "Марка")]
        public int? markId { get; set; }

        [Display(Name = "Модель")]
        public int? modelId { get; set; }

        [Display(Name = "от")]
        public int? yearFrom { get; set; }
        
        [Display(Name = "до")]
        public int? yearTo { get; set; }

        [Display(Name = "от")]
        public int? costFrom { get; set; }

        [Display(Name = "до")]
        public int? costTo { get; set; }

        [Display(Name = "от")]
        public int? mileageFrom { get; set; }

        [Display(Name = "до")]
        public int? mileageTo { get; set; }
    }
}